# SNESGetMaxLinearSolveFailures

gets the maximum number of linear solve failures that are allowed before SNES terminates

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESGetMaxLinearSolveFailures(SNES snes, PetscInt *maxFails)

Not Collective

### Input Parameter

snes -SNES context

### Output Parameter

maxFails -maximum of unsuccessful solves allowed

Notes: By default this is 1; that is SNES returns on the first failed linear solve

### Keywords

SNES, nonlinear, get, maximum, unsuccessful, steps

### See Also

SNESGetLinearSolveFailures(), SNESGetMaxLinearSolveFailures()

Level:intermediate
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages